Retrieve pending card authorizations
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/authorizations \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/authorizations"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"data": [
{
"id": "<string>",
"amount": "<string>",
"currency": "usd",
"merchant_category_code": "<string>",
"description": "<string>",
"authorized_at": "<string>",
"details": {
"vendor_auth_id": "<string>"
},
"billing_amount": "<string>",
"local_transaction_details": {
"amount": "<string>",
"currency": "<string>",
"exchange_rate": "<string>"
},
"verification_data": {
"address_check": "match",
"address_postal_code_check": "match",
"cvv_check": "match",
"pin_check": "verified",
"three_d_secure_check": "attempt_acknowledged"
},
"stripe_issuing_authorization_id": "<string>",
"stripe_authorization_code": "<string>"
}
]
}Cards
Retrieve pending card authorizations
Retrieve pending card authorizations. Note: this endpoint is not paginated
GET
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
/
authorizations
Retrieve pending card authorizations
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Query Parameters
The number of pending card authorizations to return, with a max of 200. The default is 100
The starting time in ISO8601 format. Default is 50 days ago.
The exclusive ending time in ISO8601 format. Default is now.
A status to filter the authorizations by. If not provided, will default to approved.
Available options:
approved, denied Was this page helpful?